.btn-cta {
  @include _btn-alignment();
  @include _btn-icon();

  border: 0;
  border-radius: 0;
  background: $controls-primary-bg;

  &:before {
    background: darken($controls-primary-bg, 8%);
  }

  @include _font-button('regular', $controls-primary-color);
  text-decoration: none;
  text-align: left;
  cursor: pointer;

  @include _link-active() {
    outline: none;
    text-decoration: none;
    background: darken($controls-primary-bg, 6%);
  }

  @include _link-disabled() {
    cursor: not-allowed;
    opacity: .5;
    filter: saturate(0);
  }
}